com.smartgwt.client.bean.types

## Class NumberValueType<ValueType extends java.lang.Number>

- java.lang.Object
- - com.smartgwt.client.bean.BeanValueType<ValueType>
  - - com.smartgwt.client.bean.types.NumberValueType<ValueType>

- Direct Known Subclasses:
    DoubleValueType, FloatValueType, IntegerValueType, LongValueType

      public class NumberValueType<ValueType extends java.lang.Number>
      extends BeanValueType<ValueType>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.smartgwt.client.bean.BeanValueType

      `BeanValueType.Convertability, BeanValueType.MetaFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NumberValueType()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BeanValueType.Convertability` | `convertabilityFrom(java.lang.Object value)`
    `ValueType` | `convertFrom(java.lang.Object value)`
    `java.lang.Number` | `convertStringToNumber(java.lang.String value)`
    `protected java.lang.Class` | `getValueType()`
    `protected boolean` | `isAssignableFrom(java.lang.Object value)`
    `static void` | `registerValueType()`

    - ### Methods inherited from class com.smartgwt.client.bean.BeanValueType

      `conversionException, convertabilityFrom, convertabilityToString, convertabilityToString, convertFrom, convertMapToJavascriptObject, convertToJava, convertToJavaScriptArray, convertToJavaScriptObject, convertToString, doConvertToString, getBeanValueType, isA, isAssignableFrom, isAssignableFrom, nullValue, registerBasicValueTypes, registerBeanValueType, wrapInJavascriptArray`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NumberValueType

          public NumberValueType()

  - ### Method Detail

    - #### registerValueType

          public static void registerValueType()

    - #### getValueType

          protected java.lang.Class getValueType()

      Specified by:
        `getValueType` in class `BeanValueType<ValueType extends java.lang.Number>`

    - #### isAssignableFrom

          protected boolean isAssignableFrom(java.lang.Object value)

      Specified by:
        `isAssignableFrom` in class `BeanValueType<ValueType extends java.lang.Number>`

    - #### convertabilityFrom

          public BeanValueType.Convertability convertabilityFrom(java.lang.Object value)

      Overrides:
        `convertabilityFrom` in class `BeanValueType<ValueType extends java.lang.Number>`

    - #### convertFrom

          public ValueType convertFrom(java.lang.Object value)

      Overrides:
        `convertFrom` in class `BeanValueType<ValueType extends java.lang.Number>`

    - #### convertStringToNumber

          public java.lang.Number convertStringToNumber(java.lang.String value)